# Geometry Healer

Section Name [DEK]

## MinimalHealing

Specify whether to run Geometry Healing with Minimal Healing.
- Powerful Healing: Importance on the data quality after the conversion (Prioritize the success rate to convert as solid model, and PDQ repair rate)
- Minimal Healing: Importance on the conversion speed (Limit the healing items to just enough to convert as solid models)

- Default Value: 0
- Values
  - 0: Powerful Healing (Prioritize data quality)
  - 1: Minimal Healing (Prioritize conversion speed)

## AutoStitch

Specify whether to merge free edges (Auto Stitch) to construct the topology structure.

- Default Value:
- Values
  - 0: Don’t merge free edges (Disable Auto Stitch)
  - 1: Merge free edges (Perform Auto Stitch)

## AutoStitchTol

Specify the tolerance for auto stitch (merge).
Specify by either “-1” or a real number larger than 0.
-1: Use the larger one, either the point coincident tolerance or the original tolerance
Positive real number: Use the specified value
This is effective only when “AutoStitch=1”.

- Default Value: -1

## FitSurfaceToEdges

Specify whether to fix the gap between surface and edge by fitting the surface to edge.

- Default Value:
- Values
  - 0: Don’t fit surface to edge
  - 1: Fit surface to edge

## ExtendSurface

Specify whether to fix the gap between surface and edge by extending the surface.

- Default Value:
- Values
  - 0: Don’t extend surfaces
  - 1: Extend surfaces

## CleanSelfIntersectingLoop

Specify whether and when to fix self-intersecting loops.

- Default Value:
- Values
  - 0: Don’t fix self-intersecting loops
  - 2: Fix self-intersecting loops when they intersect at the vertex only
  - 3: Always fix all self-intersecting loops

## RecalculateIllegalSurface

Specify whether to fix illegal surfaces by recalculating to a surface with four edges, and type of the illegal surfaces to repair, and how they should be repaired.
Multiple selection is available by specifying the sum of corresponding values.

- Default Value:
- Values
  - 0: Don’t recalculate illegal surfaces
  - 1: Recalculate self-intersecting surfaces
  - 2: Recalculate surfaces whose U- and V- vectors are parallel
  - 4: Recalculate general triangular surfaces
  - 8: Recalculate analytic triangular surfaces
  - 32: Recalculate illegal surfaces ignoring the original surface
  - 64: Don’t recalculate illegal surfaces and repair the surfaces only by trimming or dividing them
  - 128: Exclude illegal surfaces which are connected to adjacent faces with G1-continuity

## TrimSurface

Specify whether to trim surfaces by the effective area of the face.
The surface will be duplicated by the number of faces when it is used by two or more faces.

- Default Value:
- Values
  - 0: Don’t trim surfaces
  - 1: Trim closed surfaces only
  - 2: Always trim surfaces

## PointCoincidentTolerance

Specify the point coincident tolerance.
Specify any positive real number, but not between 1e-5. (Geometry Healing may not be performed correctly when the value is between them.)
This will be ignored when an invalid value is specified.
The value for the following parameters will be adjusted automatically maintaining the ratio;
* “FitTolerance”
* “MergeTolerance”
* “ShortCurveTolerance”

- Default Value: -1

## FitTolerance

Specify the tolerance for approximation.
Specify by a positive real number which is smaller than half, but not smaller than hundredth of the “PointCoincidentTolerance” value. (Geometry Healing may not be performed correctly when the value is smaller than that.)

This will be ignored when an invalid value is specified.

- Default Value: -1

## AngleTolerance

Specify the angle tolerance.
Specify by a real number greater than 1e-12.
This will be ignored when an invalid value is specified.

- Default Value: -1

## ShortCurveTolerance

Specify the short curve tolerance.
Specify by a positive real number which is greater than “PointCoincidentTolerance” value, but smaller than hundred times of it.

This will be ignored when an invalid value is specified.

- Default Value: -1

## MergeTolerance

Specify the tolerance for merging. This value is used, e.g., when fixing narrow faces by merging them.
Specify by a positive real number which is greater than “PointCoincidentTolerance” value, but smaller than hundred times of it.

This will be ignored when an invalid value is specified.

- Default Value: -1

## SmallSegmentTolerance

Specify the small segment tolerance.
Specify by a positive real number which is smaller than half of the “PointCoincidentTolerance” value.

Please note that the value specified with “FitTolerance” will be applied when this value is smaller than that.

This will be ignored when an invalid value is specified.

- Default Value: -1

## HealForPDQFromV5ToNX

Specify whether to run geometry healing in conformity with Nissan PDQ standards in CATIA V5 to NX conversion.
This will increase the success rate of geometry healing.

- Default Value: 0
- Values
  - 0: Don’t use Nissan PDQ settings
  - 1: Use Nissan PDQ settings

## HealPartwise

Specify whether to run the Component with memory-saving mode.

- Default Value: 0
- Values
  - 0: Don’t enable memory-saving mode
  - 1: Enable memory saving mode

## RemoveDuplicateSurface

Specify whether and when to delete duplicate surfaces.
Multiple selection is available by specifying the sum of corresponding values.

- Default Value:
- Values
  - 0: Don’t delete duplicate surfaces
  - 1: Delete the isolated surface only when it completely overlaps a surface with the same geometry
  - 2: Delete the isolated surface as long as it overlaps partially
  - 4: Delete all duplicate surfaces

## RemoveDuplicateFace

Specify whether and when to delete duplicate faces.
Multiple selection is available by specifying the sum of corresponding values.

- Default Value:
- Values
  - 0: Don’t delete duplicate faces
  - 1: Delete the isolated face only when it completely overlaps a surface with the same geometry
  - 2: Delete the isolated face as long as it overlaps partially
  - 4: Delete all duplicate faces

## InsertEdgeToBadLoop

Specify whether to fix open edge loops (a gap between endpoints of an edge loop) by inserting new edges.

- Default Value:
- Values
  - 0: Don’t insert edges
  - 1: Insert edges

## KeepG1Continuity

Specify whether to maintain the G1 continuity between faces in Geometry Healing.

- Default Value:
- Values
  - 0: Don’t maintain G1 continuity (Ignore G1 continuity)
  - 1: Maintain G1 continuity (Prioritize the accuracy)
  - 3: Maintain G1 continuity (Prioritize the processing speed)

## ModifyG1Continuity

Specify whether to fix non-tangent faces (G1-discontinuity between adjacent faces).

- Default Value:
- Values
  - 0: Don’t fix non-tangent faces
  - 1: Fix non-tangent faces

## TolCheckFacesG1Upper

Specify the lower threshold value of PDQ Check on G1-discontinuity when running Check Geometry.
Specify by a positive real number.

- Default Value: 1

## TolCheckFacesG1Lower

Specify the lower threshold value of PDQ Check on G1-discontinuity when running Check Geometry.
Specify by a positive real number.

- Default Value: 0.5

## RecalculateSurfaceWithHighCurvature

Specify whether, when and how to fix surfaces with high curvature (short-radius curvature), either by recalculating or trimming the surface.
Multiple selection is available by specifying the sum of corresponding values.
Please set in combination with “SurfaceWithHighCurvatureTol”.

- Default Value:

- Values

  - 0: Don’t fix the surfaces with high curvature

  - 1: Always recalculate surfaces with high curvature

  - 2: Recalculate surfaces with high curvature unless it is connected to adjacent faces with G1-continuity

  - 4: Recalculate surfaces with high curvature without considering the original surface

  - 8: Trim surfaces with high curvature
    (Do not recalculate)

## SurfaceWithHighCurvatureTol

Specify the curvature radius tolerance for high curvature surface recalculation.
Specify by a positive real number.
This is effective only when “RecalculateSurfaceWithHighCurvature=1 or greater”.

- Default Value: 0.01

## ExtendSurfaceBoundaryNearEdge

Specify whether to fix the edges near/on the surface boundary by extending the surface.

- Default Value:
- Values
  - 0: Don’t extend surfaces
  - 1: Extend surfaces

## NonSeamSphere

Specify whether to fix the spherical faces that contain the surface pole in the effective area by rotating the surface along the axis of the sphere.

- Default Value:
- Values
  - 0: Don’t rotate the surface
  - 1: Rotate the surface

## ApproximateSurface

Specify whether to approximate surfaces.

- Default Value:
- Values
  - 0: Don’t approximate surfaces
  - 1: Approximate surfaces

## ApproximateCurve

Specify whether to approximate curves.

- Default Value:
- Values
  - 0: Don’t approximate curves
  - 1: Approximate curves

## RemoveSmallFaceMerge

Specify whether to fix small faces by merging them.

- Default Value:
- Values
  - 0: Don’t merge small faces
  - 1: Merge small faces

## MergeShortCurveConnect

Specify whether to fix short curves by merging them.

- Default Value:
- Values
  - 0: Don’t merge
  - 1: Merge short curves

## DivideLargeSurface

Specify whether and how to adjust the number of the surface control points when they exceed the value specified with “LimitNumOfSurfaceControlPoints”.

- Default Value:

- Values

  - 0: Don’t adjust

  - 1: Adjust the number by trimming/dividing surfaces

  - 3: Adjust the number by trimming surfaces
    (Don’t divide surfaces)

## LimitNumOfSurfaceControlPoints

Specify the upper limit on the number of surface control points by a positive integer number.
This is effective only when “DivideLargeSurface=1 or 3”.

- Default Value:

## DivideCurveWithHighCurvature

Specify whether to fix the high curvature curve by dividing it at the high curvature point.

- Default Value:
- Values
  - 0: Don’t divide high curvature curves
  - 1: Divide high curvature curves

## KeepOriginalShellOpenClose

Specify whether to maintain the open/close status of the shell in Geometry Healing.

- Default Value:
- Values
  - 0: Don’t maintain open/close status of shell
  - 1: Always maintain open/close status of shell
  - 2: Maintain open/close status of shell only for the open shells

## ModifyFaceDirectionInShell

Specify whether to fix the reversed (inside out) faces.

- Default Value:
- Values
  - 0: Don’t fix reversed faces
  - 1: Fix reversed faces

## KeepOriginalTolerance

Specify whether to use the tolerance of the source model when running Geometry Healing.

- Default Value:
- Values
  - 0: Don’t use the tolerance of source model
  - 1: Use the tolerance of source model

## CoincidentMaxTolerance

Specify the maximum allowable gap (gaps larger than this value will be treated as intolerable).
Specify by a real number greater than 1e-12.
This will be ignored when an invalid value is specified.

- Default Value: -1

## UseUv3dInHealing

Specify whether to use UV curves as the edge of faces when running Geometry Healing.

- Default Value:

- Values

  - 0: Don’t use UV curves
    (Use 3D curves)

  - 1: Use UV curves

## ConnectG1Edges

Specify whether to connect G1-continuous edges.

- Default Value:
- Values
  - 0: Don’t connect G1-continuous edges
  - 1: Connect G1-continuous edges

## LimitOrderSurface

Specify whether to limit the order of surfaces.
Specify by either 0 (zero) or a positive integer number, 4 or greater.
0: Don’t limit the order of surfaces
Integer number, 4 or greater: Approximate curves to 4th order B-spline surfaces when the order of the surface is greater than this value

- Default Value:

## LimitOrderCurve

Specify whether to limit the order of curves.
Specify by either 0 (zero) or a positive integer number, 4 or greater.
0: Don’t limit the order of curves
Integer number, 4 or greater: Approximate curves to 4th order B-spline curves when the order of the curve is greater than this value

- Default Value:

## LimitSrfTypeGeneral

Specify whether to convert analytic surfaces as general surfaces.

- Default Value:
- Values
  - 0: Don’t convert as general surfaces (Convert as analytic surfaces)
  - 1: Convert as general surfaces

## MakeFaceIsolated

Specify whether to convert faces as isolated faces by copying edges to remove connection relations between faces.

- Default Value:

- Values

  - 0: Don’t convert as isolated faces
    (Maintain the connection relation between faces)
  - 1: Convert as isolated faces
    (Volume/part structures will be lost, and isolated faces will be placed right under the top hierarchy as an independent element)
  - 2: Convert as isolated faces
    (One volume will be created per isolated face)

## StepHeal

Specify the target CAD system when exporting in STEP format to convert with the flavoring suited for the target CAD system.

- Default Value: -1
- Values
  - -1: No flavoring
  - 103: NX I-deas
  - 104: Creo Parametric
  - 105: NX
  - 106: CATIA V4
  - 112: Creo Elements/Direct
  - 117: CATIA V5

## StepBomHeal

Specify the target CAD system of the geometric parts to convert with the flavoring suited for it.

- Default Value: -1
- Values
  - -1: No flavoring
  - 184: JT
  - 198: STEP

## XpdmxmlHeal

Specify the target CAD system of the geometric parts to convert with the flavoring suited for it.

- Default Value: -1
- Values
  - -1: No flavoring
  - 195: 3DEXPERIENCE

## ConvertIntoProeWithSimpOff

Specify whether to disable geometry simplification when converting to Creo Parametric.
Simplification (approximation from general surface to analytic surface, etc.) will be performed when this is not set.
This is effective only when converting to Creo Parametric.

- Default Value: 0
- Values
  - 0: Don’t disable geometry simplification
  - 1: Disable geometry simplification

## ConvertIntoCADmeisterAsNURBS

Specify whether to convert to CADmeister as high-degree NURBS.
This is for the conversion to CADmeister Ver9 or later only, and please ensure to disable this (set ConvertIntoCADMeisterAsNurbs=0) when converting to CADmeister Ver8 or earlier.

- Default Value: 1
- Values
  - 0: Don’t convert as high-degree NURBS
  - 1: Convert as high-degree NURBS

## TopologyRestrictionForCadmeister

Specify whether to restrict the number of topological elements when running Geometry Healing for the data conversion to CADmeister V7.0 or older.
This is effective when the target CAD system is CADmeister/CADCEUS only.

- Default Value: 0
- Values
  - 0: Don’t restrict the number of topological elements
  - 1: Restrict the number of topological elements

## IgesHeal

Specify the target CAD system when exporting in IGES format to convert with the flavoring suited for the target CAD system.

- Default Value: -1
- Values
  - -1: No flavoring
  - 103: NX I-deas
  - 104: Creo Parametric
  - 105: NX
  - 106: CATIA V4
  - 112: Creo Elements/Direct
  - 117: CATIA V5

## BreakAssembly

Specify whether and how to change the assembly structure.

- Default Value:
- Values
  - 0: Don’t change (Maintain the original assembly structure)
  - 1: Flatten the assembly structure while maintaining the part positioning
  - 4: Convert an assembly as a single part
  - 6: Convert an assembly as a single part. If the original model has only 1 top assembly, its name is applied to the result body name.

## VolumeToBody

Specify whether, and how to convert volumes as body.
Please ensure to disable this (set “VolumeToBody=0”) when converting including 3D innovations.

- Default Value:

- Values

  - 0: Don’t convert volumes as bodies
  - 1: Convert volumes contained in Body of ENF to body
  - 2: Convert volumes contained in Body of ENF to body, and flatten the assembly structure
  - 4: Convert volumes contained in Body of ENF to body, and apply the body name to new body name

- Note: Specification for VolumeToBody

  1. General(multiple VOL+ isolated curve + Isolated point)

         A:Asm1
           +-- B:Part1
                 +-- V:Vol1
                 +-- V:Vol2
                 +-- (Crv)
                 +-- (Pt)
                 +-- (Pt)
                 +-- (Pt)

     1. VolumeToBody=1

            A:Asm1
              +-- B:Vol1
                    +-- V:Vol1
              +-- B:Vol2
                    +-- V:Vol2
              +-- B:Part1
                    +-- (Crv)
                    +-- (Pt)
                    +-- (Pt)
                    +-- (Pt)

     2. VolumeToBody=2

            A:Asm1
              A:Part1
                +-- B:Vol1
                      +-- V:Vol1
                +-- B:Vol2
                      +-- V:Vol2
                +-- B:Part1
                      +-- (Crv)
                      +-- (Pt)
                      +-- (Pt)
                      +-- (Pt)

  2. 1(BODY) to 1(VOLUME)

         B:Part1
           +-- V:Vol1

     1. VolumeToBody=1

            B:Vol1
              +-- V:Vol1

     2. VolumeToBody=2

            B:Part1
              +-- V:Vol1

  3. empty body is included

         B:Part1
           +-- V:Vol1
           +-- V:Vol2
         B:Part2 (Φ)

     1. VolumeToBody=1

            B:Vol1
              +-- V:Vol1
            B:Vol2
              +-- V:Vol2
            B:Part2 (Φ)

     2. VolumeToBody=2

            A:Part1
              +-- B:Vol1
                    +-- V:Vol1
              +-- B:Vol2
                    +-- V:Vol2
            B:Part2 (Φ)

## CreateTopAssembly

Specify whether to create a top assembly. (The created top assembly will be named as “Assembly-1”.)
Assemblies and bodies which do not have parents will be placed as unit matrix instances. Properties of these instances will be as follows;
Color: Not specified
Transparency: 0
Visibility flag: Visible

- Default Value:
- Values
  - 0: Don’t create a top assembly
  - 1: Always create a top assembly
  - 2: Create a top assembly only when there are multiple elements (parts or top assemblies) at the top hierarchy

## RemoveEmptyBody

Specify whether to delete empty assemblies and empty bodies (bodies with no B-rep elements).

- Default Value:
- Values
  - 0: Don’t delete empty assemblies and empty bodies
  - 2: Delete empty assemblies and empty bodies

## ConvertSurfaceToFace

Specify whether to convert surfaces as face (generate edges at the surface boundary and create a face).
This excludes the infinite surfaces.

- Default Value:
- Values
  - 0: Don’t convert surfaces as face
  - 1: Convert surfaces as face

## RemoveIsoPlane

Specify whether to delete isolated planes.

- Default Value:
- Values
  - 0: Don’t delete
  - 1: Delete isolated planes

## CopyDisplayedEdge

Specify whether to generate isolated edges by duplicating edges.

- Default Value: 0
- Values
  - 0: Don’t create isolated edges from edges
  - 2: Always create isolated edges from edges regardless of the display flag (shown/hidden)

## CreateAxisLineForRevolution

Specify the surface type to create the revolution axis as isolated curves contained in the same body as the surface.
Multiple selection is available by specifying the sum of corresponding values.

- Default Value: 0
- Values
  - 0: Don’t create revolution axes
  - 1: Spherical surfaces
  - 2: Cylindrical surfaces
  - 4: Conic surfaces
  - 8: General revolution surfaces

## MergeSkinVolume

Specify whether to create volumes for each Body or Geometrical Set of CATIA V5.
This excludes the solid volumes, and isolated curves/points that do not belong to volumes after CATIA V5 to ENF conversion.
Please use this when the source CAD system is CATIA V5 only.

- Default Value:

- Values

  - 0: Don’t create volumes
    (Do nothing)

  - 1: Always create volumes per Body or Geometrical Set

  - 2: Create volumes per Body or Geometrical Set, or per top Geometrical Set in the specification tree when Geometrical Set has hierarchical structure

## ReplaceObjectName

Specify whether to replace Name (part/assembly names) in ENF by PartName or PartNumber in ENF.

- Default Value:
- Values
  - 0: Don’t change Name
  - 1: Always replace Name by PartName
  - 2: Always replace Name by PartNumber
  - 11: Replace Name by PartName unless PartName is blank
  - 12: Replace Name by PartNumber unless PartNumber is blank

## ForceDefaultColorToAll

Specify whether to replace the color of B-rep entities (volume, face, surface, edge and vertex) by the default color.

- Default Value: 0
- Values
  - 0: Don’t replace the entity colors (Use the original colors)
  - 1: Replace the entity colors by default colors

## SetVolumeDefaultColor

Specify the color to use as the default display color for volumes by RGB values (0-255).
Specify in the following format;
(R,G,B)
This is effective only when “ForceDefaultColorToAll=1”.

- Default Value:

## SetTSurfaceDefaultColor

Specify the color to use as the default display color for surfaces by RGB values (0-255).
Specify in the following format;
(R,G,B)
This is effective only when “ForceDefaultColorToAll=1”.

- Default Value:

## SetFaceDefaultColor

Specify the color to use as the default display color for faces by RGB values (0-255).
Specify in the following format;
(R,G,B)
This is effective only when “ForceDefaultColorToAll=1”.

- Default Value:

## SetEdgeDefaultColor

Specify the color to use as the default display color for edges by RGB values (0-255).
Specify in the following format;
(R,G,B)
This is effective only when “ForceDefaultColorToAll=1”.

- Default Value:

## SetVertexDefaultColor

Specify the color to use as the default display color for vertices by RGB values (0-255).
Specify in the following format;
(R,G,B)
This is effective only when “ForceDefaultColorToAll=1”.

- Default Value:

## NotCopyVolumeColorToColoredFace

Specify whether to maintain the original face color when copying the volume display attribute to belonging faces.
This is effective only when “CopyVolumeDisplayAttributeToFace=1” is set.

- Default Value:
- Values
  - 0: Don’t maintain the original face color (Overwrite)
  - 1: Maintain the original face color

## CopyVolumeDisplayAttributeToFace

Specify the display attribute of the volumes to copy to belonging faces.
Multiple selection is available by specifying the sum of corresponding values.

- Default Value:

- Values

  - 1: Copy the volume color to face color of belonging faces (overwrite when the face color is set) unless “NotCopyVolumeColorToColoredFace=1” is set, and the face color is set

  - 32: Apply the OR of display flag (shown/hidden) of the face and the belonging volume to the display flag of the face
    (Set the face as shown as long as either the face itself or the belonging volume is shown)

## PromoteAttribute

Specify whether to inherit attributes of volumes to bodies when converting volumes to bodies using “VolumeToBody”.
This is effective when “VolumeToBody=1, 2 or 4” only.

- Default Value: 0
- Values
  - 0: Don’t inherit attributes
  - 1: Inherit attributes

## ReplacePartName

Specify whether to change PartName in ENF with Name (part/assembly names) or PartNumber in ENF.

- Default Value: 0
- Values
  - 0: Don’t change PartName
  - 1: Always replace PartName by Name
  - 2: Always replace PartName by PartNumber
  - 11: Replace PartName by Name unless Name is blank
  - 12: Replace PartName by PartNumber unless PartNumber is blank

## ReplacePartNumber

Specify whether to change PartNumber in ENF with Name (part/assembly names) or PartName in ENF.

- Default Value:
- Values
  - 0: Don’t change PartNumber
  - 1: Replace PartNumber by Name
  - 2: Replace PartNumber by PartName
  - 11: Replace PartNumber by Name unless Name is blank
  - 12: Replace PartNumber by PartName unless PartName is blank